List a game's expansions

Returns every expansion (set) of a game, paginated. Newest expansions first by release date.

Authentication is required (any valid API key); no scope.

Path Parameters
  • gameId
    Type: string
    min length:  
    1
    required

    The game whose expansions to list (e.g. mtg, pokemon). Path parameter.

Query Parameters
  • offset
    Type: integer
    min:  
    0
    max:  
    9007199254740991

    Integer numbers.

  • limit
    Type: integer
    min:  
    1
    max:  
    200

    Integer numbers.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/games/{gameId}/expansions
curl 'https://public-api.cardnexus.com/v1/games/{gameId}/expansions' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": 42,
      "gameId": "mtg",
      "name": "Bloomburrow",
      "code": "BLB",
      "releaseDate": "2024-08-02T00:00:00.000Z",
      "cardCount": 261,
      "sealedProductCount": 7,
      "languages": [
        "en",
        "fr",
        "de",
        "it",
        "es",
        "ja",
        "ko",
        "zh-Hans"
      ],
      "logoUrl": "https://images.cardnexus.com/expansions/mtg/blb/logo.svg",
      "symbolUrl": "https://images.cardnexus.com/expansions/mtg/blb/symbol.svg"
    },
    {
      "id": 43,
      "gameId": "mtg",
      "name": "Modern Horizons 3",
      "code": "MH3",
      "releaseDate": "2024-06-14T00:00:00.000Z",
      "cardCount": 303,
      "sealedProductCount": 6,
      "languages": [
        "en",
        "fr",
        "de",
        "it",
        "es",
        "ja",
        "ko",
        "zh-Hans"
      ],
      "logoUrl": "https://images.cardnexus.com/expansions/mtg/mh3/logo.svg",
      "symbolUrl": "https://images.cardnexus.com/expansions/mtg/mh3/symbol.svg"
    }
  ],
  "pagination": {
    "offset": 0,
    "limit": 50,
    "total": 287,
    "hasMore": true
  }
}